Emerald Editor Discussion
October 22, 2017, 04:14:54 pm *
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
News:
 
   Home   Help Search Login Register  
Pages: [1] 2 3 4
  Print  
Author Topic: Window 98 support  (Read 44472 times)
0 Members and 1 Guest are viewing this topic.
rageboy
Jeweller
*****
Posts: 305

Ankit Singla


« on: June 23, 2007, 03:30:12 am »

Moderator Edit:
This was split off of the middle of the post "Should we post binaries?" Rageboy posted this in response to a comment by Arantor which said "I think the builds we have are very nearly complete for what we wanted for 3.72, it's just the lack of Win9x support at the moment. I'm seeing an increased number of users asking both here and in the CE forums for a 3.72 beta, knowing that it doesn't support Win9x. Thoughts?"
End Moderator Edit

So, what exactly is still breaking on 9x? Just crash on start? I'm assuming we have no ideas as to why. I'm guessing 3.71 works.
« Last Edit: June 27, 2007, 02:08:06 am by Phil » Logged
ce2000
Miner
**
Posts: 21


WWW
« Reply #1 on: June 23, 2007, 02:27:35 pm »

use vmware player to test in win98 its free

there is a post online on how to do a hack to get a new install setup, i think its on hack-a-day's blog
Logged

Pvt_Ryan
Master Jeweller
******
Posts: 422



WWW
« Reply #2 on: June 24, 2007, 08:39:02 am »

Has anyone tried compiling the original 3.71 code that was modified to compile under VS2k5 to see if it runs under W98?

just in case it was the conversion to vs2k5 code that broke it
Logged
Arantor
Site Administrator
Administrator
Master Jeweller
*****
Posts: 618



« Reply #3 on: June 24, 2007, 01:41:26 pm »

I think more of the problem is VS2K5 itself - the error seems to be around how the application actually links and compiles rather than not having the appropriate APIs available.

No-one seems to have a copy of VC6 we can compile with though...
Logged

"Cleverly disguised as a responsible adult!"
pn8830
Global Moderator
Jeweller
*****
Posts: 252



« Reply #4 on: June 24, 2007, 03:41:05 pm »

Guys,
I have just looked through my old CDs and it looks like I have both VC6 SP2 and Windows 98. Please give me some time to see if I can make them work. I obviously need to look for the product key for win98. Keep you posted.
Thanks,
PN.
Logged

Entities should not be multiplied beyond necessity
Pvt_Ryan
Master Jeweller
******
Posts: 422



WWW
« Reply #5 on: June 24, 2007, 04:49:28 pm »

I think more of the problem is VS2K5 itself - the error seems to be around how the application actually links and compiles rather than not having the appropriate APIs available.

No-one seems to have a copy of VC6 we can compile with though...

I mean has anyone compiled the original port and run it as I would have just assumed that 3.70/3.71 under VS6 would work.
The problem could be in the code changes made to port it.
Logged
rageboy
Jeweller
*****
Posts: 305

Ankit Singla


« Reply #6 on: June 24, 2007, 07:39:03 pm »

I can look around. I might have a copy of VC6...but I probably won't know until I get back. Of course, I'd also have to find someone with 98. I don't feel comfortable putting it on my HD so I can put it in VMware. Personally I'm not much of a VMware fan anyway, but that could just be because I don't quite know how to use it Undecided
Logged
pn8830
Global Moderator
Jeweller
*****
Posts: 252



« Reply #7 on: June 25, 2007, 04:12:24 am »

Good news: I got Win98 working on standalone machine.
Bad news: Visual Studio turned out to be Visual Studio 5.
Logged

Entities should not be multiplied beyond necessity
rageboy
Jeweller
*****
Posts: 305

Ankit Singla


« Reply #8 on: June 25, 2007, 04:27:59 am »

Is VS5 so bad? I have VC++6 Intro ed. I'm not sure what that comes with though. Is 3.72 working on 98 or a different version (3.71/3.70)
Logged
Phil
Administrator
Master Jeweller
*****
Posts: 427


« Reply #9 on: June 25, 2007, 12:17:19 pm »

I have access to VS 6. I just need Win 98 so I can install it onto VMware.

Phil
Logged
pn8830
Global Moderator
Jeweller
*****
Posts: 252



« Reply #10 on: June 25, 2007, 12:47:18 pm »

Phil,
I can send you the CD by mail. I think you mentioned you're in PA, I hope PA means Pennsylvania. How does that sound?
PN.
Logged

Entities should not be multiplied beyond necessity
Phil
Administrator
Master Jeweller
*****
Posts: 427


« Reply #11 on: June 25, 2007, 02:37:35 pm »

Yea, I'm from Pennsylvania. If you would send them that would be nice, but you don't have to. I might not be able to get VS 6 until I go back to college after the summer because I get it off the college's network for free. I could always go to college during the summer though. It's only half an hour from my house.

I'll send you a PM with my address,
Phil
Logged
pn8830
Global Moderator
Jeweller
*****
Posts: 252



« Reply #12 on: June 26, 2007, 04:33:41 pm »

Hi,
I have managed to get Win98+VC6 combination. I tried to compile original 3.71 source and got the following error.

Code:
--------------------Configuration: cedt - Win32 Debug--------------------
Compiling resources...
C:\My Documents\cedtdev\cedt_kr.rc(20) : fatal error RC4214: Codepage not valid:  ignored
Error executing rc.exe.

cedt.exe - 1 error(s), 0 warning(s)

Could someone help me to fix it?

Thanks,
PN
Logged

Entities should not be multiplied beyond necessity
rageboy
Jeweller
*****
Posts: 305

Ankit Singla


« Reply #13 on: June 26, 2007, 04:42:16 pm »

I think this might help
Logged
Pvt_Ryan
Master Jeweller
******
Posts: 422



WWW
« Reply #14 on: June 26, 2007, 05:03:31 pm »

Hi,
I have managed to get Win98+VC6 combination. I tried to compile original 3.71 source and got the following error.

Code:
--------------------Configuration: cedt - Win32 Debug--------------------
Compiling resources...
C:\My Documents\cedtdev\cedt_kr.rc(20) : fatal error RC4214: Codepage not valid:  ignored
Error executing rc.exe.

cedt.exe - 1 error(s), 0 warning(s)

Could someone help me to fix it?

Thanks,
PN


you are aware its looking at the korean.rc file?Huh should be cedt_US.rc
Logged
Pages: [1] 2 3 4
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!
Page created in 0.085 seconds with 18 queries.